OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Classes | Namespaces | Functions
producer.hpp File Reference
`#include <opencv2/core/core.hpp>`
`#include <opencv2/highgui/highgui.hpp>`
`#include <openpose/3d/cameraParameterReader.hpp>`
`#include <openpose/core/common.hpp>`
`#include <openpose/producer/enumClasses.hpp>`

Go to the source code of this file.

## Classes
class | op::Producer

## Namespaces
| op

## Functions
OP_API std::shared_ptr< Producer > | op::createProducer (const ProducerType producerType=ProducerType::None, const std::string &producerString="", const Point< int > &cameraResolution=Point< int >{-1,-1}, const std::string &cameraParameterPath="models/cameraParameters/", const bool undistortImage=true, const int numberViews=-1)